<script>

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 削除/廃止
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-haishi").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-clear").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7 一括更新
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af04m").trigger("click");
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
      $(".Func4").addClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func9").addClass("noevent");
    } else {  //表示後
      $(".Func2").addClass("noevent");
    }
    //=== header ===

    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e){
      alert("登録しました");
      location.replace("./");
    });

    $(document).on("click", ".btn-search-before", function(e) {

      var errflg = false;
      var frm = $(this).closest(".contents").find(".header");
      let $mcd = frm.find(".mcd");
      if (stringUtil.isEmpty($mcd.val())) {
        errflg = true;
        common.addError( $mcd, "仕入先コードを入力して下さい。", null, true);
      }
      if (errflg) {
         alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-search").trigger("click");
      }

    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frm = $(".detail");
      common.clearFormError(frm);

      if (stringUtil.isEmpty(frm.find(".mnm:first").val())) {
        errflg = true;
        common.addError(frm.find(".mnm:first"), "仕入先名を入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".kmcd").val())) {
        errflg = true;
        common.addError(frm.find(".kmcd"), "買掛管理を入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".mknm").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".mknm"), "ｶﾅ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".mknms").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".mknms"), "ｶﾅ(半角)は半角で入力して下さい。", null, true);
      }

      if (errflg) {
        alert('エラーがあります。');
      } else {
        $(".headermenu").find(".btn-reg").trigger("click");
      }

    });


    //=== header ===
    $(document).on("focus", ".dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    $(document).on("afterSelectAfm04x", ".headerMcd", function(e){ //検索画面から戻る
      $(".btn-search-before").trigger("click");
    });


    //=== body ===

    $(document).on("afterChangeMcd", ".kmcd", function(e){
      if(stringUtil.isEmpty(($("#detail").find(".kmnm").val())) && $("#detail").find(".kmcd").val()!=$("form.header").find(".mcd").val()) {
        alert("対象のデータがありません");
        common.addError($("#detail").find(".kmcd"), "対象のデータがありません", null, true);
        $("#detail").find(".kmcd").val("");
      }
    });



    //=== footer ===


    // 初回フォーカス
    var form = $(".header");
    if(!(form.hasClass("noevent"))){
      $(".header").find(".mcd").focus();
    }else{
      $("#detail").find(".mnm:first").focus();
    }
  });

</script>
